Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 465407 - some ui issues
Summary: some ui issues
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10Target F10DesktopTarget
TreeView+ depends on / blocked
 
Reported: 2008-10-03 06:26 UTC by Matthias Clasen
Modified: 2008-10-13 17:00 UTC (History)
2 users (show)

Fixed In Version: 1.0.8-3.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-13 17:00:53 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2008-10-03 06:26:08 UTC
Here are some things that might be improved in system-config-printer, ui-wise:

1. Setting default printer: 

This overlaps somewhat with the quick-and-dirty my-default-printer. Is my-default-printer still needed ? If we want to keep it, it would be nice if it was closer to the s-c-p representation of the printer list... 

Coming back to s-c-p itself, the "Set Default Printer" dialog feels somewhat overcomplicated by the fact that it crams system-wide and personal default into one dialog. It would probably be nicer to make this just about system-wide default, and leave personal default to my-default-printer. 

When the authentication dialog (that comes up for setting system-wide default) is canceled,  I get a warning dialog about the password being incorrect. Thats not nice. When I cancel an action, I don't want to be bothered with a warning that makes it appear as if the action was tried anyway. When I actually enter a wrong password, I don't get this warning, and instead the authentication dialog stays up, without a clear hint that the password was wrong.


2. Printer Properties:

The "Change..." buttons for the device uri and make and model fields both start long-running search operations and bring up a "Please wait" popup. It would be slightly nicer to do this without a popup dialog, e.g. by using a wait cursor and a statusbar that explains the operation. And more importantly, it should be possible to cancel this long-running operation. 

On the Policies page, there are several combos that are filled with ipp strings. Those should be replaced with translated, human-readable names instead. GTK+ has translations for some of these, e.g. for the banners.

On the "Printer Options page, the horizontal scrollbar is really awful. 


3. Server settings

The "Advanced..." button for bringing up a secondary dialog is awkward. I suggest turning this into Basic/Advanced tabs in a single dialog. The "Problems" link button has an empty tooltip. The separator between the dialog content and the action area looks very outdated nowadays, and should be removed.

Comment 1 Tim Waugh 2008-10-10 16:11:56 UTC
Thanks for your feedback.

(In reply to comment #0)
> Here are some things that might be improved in system-config-printer, ui-wise:
> 
> 1. Setting default printer: 
> 
> This overlaps somewhat with the quick-and-dirty my-default-printer. Is
> my-default-printer still needed ?

It isn't, no.  It was added because people seem to get quite confused about why the default printer they set isn't the default printer that system-config-printer shows.  I wanted to make the interaction between the system default and the user default clearer.

> It would probably be nicer to make this just about system-wide
> default, and leave personal default to my-default-printer. 

That approach causes the confusion I wanted to clear up by putting both types of default into the same dialog.

> When the authentication dialog (that comes up for setting system-wide default)
> is canceled,  I get a warning dialog about the password being incorrect. Thats
> not nice. When I cancel an action, I don't want to be bothered with a warning
> that makes it appear as if the action was tried anyway. 

Fixed upstream.

> When I actually enter a
> wrong password, I don't get this warning, and instead the authentication dialog
> stays up, without a clear hint that the password was wrong.

Fixed upstream.

> 2. Printer Properties:
> 
> The "Change..." buttons for the device uri and make and model fields both start
> long-running search operations and bring up a "Please wait" popup. It would be
> slightly nicer to do this without a popup dialog, e.g. by using a wait cursor
> and a statusbar that explains the operation. And more importantly, it should be
> possible to cancel this long-running operation. 

Yes, indeed.  Filed as trac ticket #102.

> On the Policies page, there are several combos that are filled with ipp
> strings. Those should be replaced with translated, human-readable names
> instead. GTK+ has translations for some of these, e.g. for the banners.

Filed as trac ticket #103.  The string freeze prevents this fix going in right now.

> On the "Printer Options page, the horizontal scrollbar is really awful. 

Unfortunately some of the common foomatic option names are quite lengthy but I can't seem to get them to wrap.  Any ideas?

> The "Advanced..." button for bringing up a secondary dialog is awkward. I
> suggest turning this into Basic/Advanced tabs in a single dialog.

Yes.  The reason for doing it as two dialogs is that two different mechanisms are used, but there's no reason this can't be hidden and a single dialog made.  Filed as trac ticket #104.

> The "Problems" link button has an empty tooltip.

Fixed upstream.

> The separator between the dialog
> content and the action area looks very outdated nowadays, and should be
> removed.

Fixed upstream.


Note You need to log in before you can comment on or make changes to this bug.